> ## Documentation Index
> Fetch the complete documentation index at: https://docs.raul.ugps.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Consultar vehículo por patente (revisión técnica)

> Consultar vehículo por patente (revisión técnica)



## OpenAPI

````yaml /generated/specs/operations.json get /api/v1/patentes/{plate}
openapi: 3.0.0
info:
  title: Raul API - Operaciones
  description: Suscripciones, GPS, actividades, visitas y operacion tecnica.
  version: 2.0.0
  contact: {}
servers:
  - url: https://api.raul.ugps.io
    description: Production
security: []
tags: []
paths:
  /api/v1/patentes/{plate}:
    get:
      tags:
        - Patentes
      summary: Consultar vehículo por patente (revisión técnica)
      description: Consultar vehículo por patente (revisión técnica)
      operationId: PatentesController_lookup
      parameters:
        - name: plate
          required: true
          in: path
          description: Patente chilena
          schema:
            example: GPDD74
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PatenteResponseDto'
        '404':
          description: Patente no encontrada
      security:
        - bearerAuth: []
components:
  schemas:
    PatenteResponseDto:
      type: object
      properties:
        status:
          type: string
          example: success
        data:
          $ref: '#/components/schemas/PatenteDataDto'
      required:
        - status
        - data
    PatenteDataDto:
      type: object
      properties:
        plate:
          type: string
        make:
          type: object
          nullable: true
        model:
          type: object
          nullable: true
        year:
          type: object
          nullable: true
        engine:
          type: object
          nullable: true
        vin:
          type: object
          nullable: true
        chassis:
          type: object
          nullable: true
        fuelType:
          type: object
          nullable: true
        lastInspection:
          type: object
          nullable: true
        inspectionHistory:
          type: array
          items:
            $ref: '#/components/schemas/InspeccionDto'
      required:
        - plate
        - make
        - model
        - year
        - engine
        - vin
        - chassis
        - fuelType
        - lastInspection
        - inspectionHistory
    InspeccionDto:
      type: object
      properties:
        date:
          type: object
          example: '2025-01-02'
        expiryDate:
          type: object
          example: '2025-07-02'
        result:
          type: object
          example: approved
        mileage:
          type: object
          example: 54246
        plant:
          type: object
          example: AB0105
        certificate:
          type: object
          example: B0105000000181901
      required:
        - date
        - expiryDate
        - result
        - mileage
        - plant
        - certificate
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: Bearer token authentication

````